# HierarchyBuilderIntervalBased.IndexNode (ARX API Documentation)

org.deidentifier.arx.aggregates

## Class HierarchyBuilderIntervalBased.IndexNode

- java.lang.Object
- - org.deidentifier.arx.aggregates.HierarchyBuilderIntervalBased.IndexNode

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    HierarchyBuilderIntervalBased<T>

      public class HierarchyBuilderIntervalBased.IndexNode
      extends java.lang.Object
      implements java.io.Serializable

  This class represents an node.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyBuilderIntervalBased.IndexNode(T min, T max, HierarchyBuilderIntervalBased.Interval<T>[] leafs)` Creates a new instance.
    `HierarchyBuilderIntervalBased.IndexNode(T min, T max, HierarchyBuilderIntervalBased.IndexNode[] children)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HierarchyBuilderIntervalBased.IndexNode

          public HierarchyBuilderIntervalBased.IndexNode(T min,
                                                 T max,
                                                 HierarchyBuilderIntervalBased.IndexNode[] children)

      Creates a new instance. Min is inclusive, max is exclusive
      Parameters:
        `min` -
        `max` -
        `children` -

    - #### HierarchyBuilderIntervalBased.IndexNode

          public HierarchyBuilderIntervalBased.IndexNode(T min,
                                                 T max,
                                                 HierarchyBuilderIntervalBased.Interval<T>[] leafs)

      Creates a new instance. Min is inclusive, max is exclusive
      Parameters:
        `min` -
        `max` -
        `leafs` -

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`